package com.sxyz.rfid.presenter.model;

import java.util.List;

/**
 * 主要功能:
 *
 * @Description:
 * @Project: rfid-app
 * @Package: com.sxyz.rfid.presenter.model
 * @author: chunyuanwu
 * @date: 2026年01月05日 09:36
 * @version: 1.0.0
 */
public class ReviewTaskCheck {

    /**
     * taskId : 4
     * checkerId : 1
     * checkerName : 若依
     * batchNoList : ["BATCH2026010414284490650026"]
     */
    private int taskIds;

    private int taskId;
    private int checkerId;
    private String checkerName;
    private List<String> batchNoList;
    private List<String> rfidList;

    public ReviewTaskCheck() {
    }

    public ReviewTaskCheck(int taskIds) {
        this.taskIds = taskIds;
    }

    public ReviewTaskCheck(int taskId, int checkerId) {
        this.taskId = taskId;
        this.checkerId = checkerId;
    }

    public List<String> getRfidList() {
        return rfidList;
    }

    public void setRfidList(List<String> rfidList) {
        this.rfidList = rfidList;
    }

    public int getTaskIds() {
        return taskIds;
    }

    public void setTaskIds(int taskIds) {
        this.taskIds = taskIds;
    }

    public int getTaskId() {
        return taskId;
    }

    public void setTaskId(int taskId) {
        this.taskId = taskId;
    }

    public int getCheckerId() {
        return checkerId;
    }

    public void setCheckerId(int checkerId) {
        this.checkerId = checkerId;
    }

    public String getCheckerName() {
        return checkerName;
    }

    public void setCheckerName(String checkerName) {
        this.checkerName = checkerName;
    }

    public List<String> getBatchNoList() {
        return batchNoList;
    }

    public void setBatchNoList(List<String> batchNoList) {
        this.batchNoList = batchNoList;
    }
}
